summaryrefslogtreecommitdiff
path: root/dev-python/openapi-spec-validator
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2026-02-15 07:15:20 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2026-02-15 07:15:20 +0000
commit51bb8a4ca6188de8321917e0b40acb5e8258a5e8 (patch)
tree5e1aa6930640b44b53a3400328652ca92fe55294 /dev-python/openapi-spec-validator
parent6f946f8547c6734595001a6594646d6ca28b0c6d (diff)
downloadbaldeagleos-repo-51bb8a4ca6188de8321917e0b40acb5e8258a5e8.tar.gz
baldeagleos-repo-51bb8a4ca6188de8321917e0b40acb5e8258a5e8.tar.xz
baldeagleos-repo-51bb8a4ca6188de8321917e0b40acb5e8258a5e8.zip
Adding metadata
Diffstat (limited to 'dev-python/openapi-spec-validator')
-rw-r--r--dev-python/openapi-spec-validator/Manifest2
-rw-r--r--dev-python/openapi-spec-validator/openapi-spec-validator-0.8.0_beta2.ebuild50
2 files changed, 52 insertions, 0 deletions
diff --git a/dev-python/openapi-spec-validator/Manifest b/dev-python/openapi-spec-validator/Manifest
index 100396673875..ba04cfbe0198 100644
--- a/dev-python/openapi-spec-validator/Manifest
+++ b/dev-python/openapi-spec-validator/Manifest
@@ -1,2 +1,4 @@
DIST openapi_spec_validator-0.7.2.tar.gz 36855 BLAKE2B 87914f72a4bcaa2a1b190902b4649dd46e0c5079a2dd8d56839f795aac4a2df4c1563b7529ee4db87a3f90607afbb74070525994b0a8fa5bb882514c952de704 SHA512 83ca3f7c731680962c113a0982592842cc42df4f7f5f21bcbd9ba28c1c7b5376fe8197c43b15b0b34bf506b6ba59eb928aa5b73372c7395da7c950fb4cdc1584
DIST openapi_spec_validator-0.8.0b1.tar.gz 37067 BLAKE2B 63db2482dbde6e2aab4c7030c5414359368c93483f9dfb9f0ee18842f404ac963ae2d6985592ad79afd382bc4326380021f5a9a49cd1fc44e1ca52e505d07c31 SHA512 d7b112ccd473fb026f9241894f9d8709c50f5b500d1bff945f40ce197f6511bc15ec6f8f8b346243f6d9d4ee803cb7268e172bfce2f1bff2a87bc8c5907a166d
+DIST openapi_spec_validator-0.8.0b2.tar.gz 1744624 BLAKE2B 4fba95e782c3135a48e552dbedb7dc772d4854dbef1f4a9077628ac6a8acf614cc4747fe346a17ecf8ae1a5368ecfe12313780131e8dacb2246848fcaebd19a2 SHA512 3c71a10b310fe53e6d1ff1dedf957fbdf8cdbc1d593c03f47d7cee88b260a291cd8ebb3ee2a812592ad2f97d53c0870c8b7caafec9acf14320e53ac58f411a5e
+DIST openapi_spec_validator-0.8.0b2.tar.gz.provenance 9947 BLAKE2B 740ee9b414612ae2099c5f0c6450b4f64775d96c894ab94c6cc001f1c7436bf01ea4e4e58184b0697ae770e2040ab57c3c71c1e1423e8dbf57b44d6f1829c46e SHA512 f2e00ff25754c65de4c7cb29c35c715a566f49e932e2c6a5cbc784c963b169e4bf1d7ad6d13cf9dd9926dee0a8a8b581c6952c0e9e5b164f0f2062a84b3bc5ff
diff --git a/dev-python/openapi-spec-validator/openapi-spec-validator-0.8.0_beta2.ebuild b/dev-python/openapi-spec-validator/openapi-spec-validator-0.8.0_beta2.ebuild
new file mode 100644
index 000000000000..c46d9523fd70
--- /dev/null
+++ b/dev-python/openapi-spec-validator/openapi-spec-validator-0.8.0_beta2.ebuild
@@ -0,0 +1,50 @@
+# Copyright 2022-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYPI_VERIFY_REPO=https://github.com/python-openapi/openapi-spec-validator
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="OpenAPI 2.0 (aka Swagger) and OpenAPI 3.0 spec validator"
+HOMEPAGE="
+ https://github.com/python-openapi/openapi-spec-validator/
+ https://pypi.org/project/openapi-spec-validator/
+"
+
+LICENSE="BSD"
+SLOT="0"
+
+RDEPEND="
+ >=dev-python/jsonschema-4.24.0[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-path-0.4.0_beta2[${PYTHON_USEDEP}]
+ >=dev-python/lazy-object-proxy-1.7.1[${PYTHON_USEDEP}]
+ >=dev-python/openapi-schema-validator-0.6.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # Internet
+ tests/integration/test_shortcuts.py::TestPetstoreV2Example
+ tests/integration/test_shortcuts.py::TestApiV2WithExampe
+ tests/integration/test_shortcuts.py::TestPetstoreV2ExpandedExample
+ tests/integration/test_shortcuts.py::TestPetstoreExample
+ tests/integration/test_shortcuts.py::TestRemoteValidatev2SpecUrl
+ tests/integration/test_shortcuts.py::TestRemoteValidatev30SpecUrl
+ tests/integration/test_shortcuts.py::TestApiWithExample
+ tests/integration/test_shortcuts.py::TestPetstoreExpandedExample
+ tests/integration/test_validate.py::TestPetstoreExample
+ tests/integration/test_validate.py::TestApiWithExample
+ tests/integration/test_validate.py::TestPetstoreExpandedExample
+ tests/integration/validation/test_validators.py
+)
+
+src_prepare() {
+ sed -i -e '/--cov/d' pyproject.toml || die
+ distutils-r1_src_prepare
+}